package com.ssj.bean.sys.parent.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * @author yangcan
 * 类描述:期末冲刺训练真题表
 * 创建时间:2020/4/20 13:52
 */
@Entity
@Table(name = "ssj_termtrain_question")
public class SSJTermtrainQuestion extends BaseEntity {

	private static final long serialVersionUID = 1L;

    private String courseName; //科目
    private String grade; //年级
    private String bookName; //教材版本，北师大版， 教科版，沪教版
    private String province; //省份
    private String city; //城市
    private String area; //区域
    private String year; //年份
    private String realQuestionPath; //真题文件路径
    private Date createTime;//创建时间


    @Column(name = "course_name")
    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    @Column(name = "grade")
    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    @Column(name = "book_name")
    public String getBookName() {
        return bookName;
    }

    public void setBookName(String bookName) {
        this.bookName = bookName;
    }

    @Column(name = "province")
    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    @Column(name = "city")
    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    @Column(name = "area")
    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    @Column(name = "year")
    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    @Column(name = "real_question_path")
    public String getRealQuestionPath() {
        return realQuestionPath;
    }

    public void setRealQuestionPath(String realQuestionPath) {
        this.realQuestionPath = realQuestionPath;
    }

    @Column(name = "create_time")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
